package com.muyu.vehicle.model.properties;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author DongZeLiang
 * @version 1.0
 * @description Mqtt配置类
 * @date 2023/11/8
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MqttProperties {

    /**
     * 节点
     */
    private String broker;

    /**
     * 主题
     */
    private String topic;

    /**
     * 用户名
     */
    private String username;

    /**
     * 密码
     */
    private String password;

    /**
     * 节点ID
     */
    private String clientId;

    /**
     * 上报级别
     */
    private int qos = 0;
}
