package com.muyu.vehicle.thread;

import com.muyu.vehicle.VehicleInstance;
import lombok.Data;
import lombok.extern.log4j.Log4j2;

@Data
@Log4j2
public class VehicleThread implements Runnable {

    /**
     *  是否停止线程
     */
    private volatile boolean isStop = false;

    /**
     * 车辆实例对象
     */
    private VehicleInstance vehicleInstance;

    @Override
    public void run() {
        try {
            if (!isStop){
                log.info("{} - 上报数据", this.vehicleInstance.getVin());
                this.vehicleInstance.imitateData();
                this.vehicleInstance.sendMsg(
                        this.vehicleInstance.getVehicleData().getMsg()
                );
            }else {
                log.info("终止模拟和上报：[{}]", this.vehicleInstance.getVin());
                vehicleInstance.cancelExecution();
            }
        }catch (Throwable throwable){
            log.error("车辆模拟输出错误：{}", this.vehicleInstance.getVin(), throwable);
        }
    }

    /**
     * 停止方法
     */
    public void stop(){
        this.isStop = true;
    }

}
